> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# 도메인 구매

> 공개 고객 API를 통해 도메인을 구매합니다.

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.ko.json POST /v1/public/accounts/{account_id}/domains/purchase
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/domains/purchase:
    post:
      tags:
        - public-accounts
        - public-domains
      summary: 도메인 구매
      description: 공개 고객 API를 통해 도메인을 구매합니다.
      operationId: >-
        purchase_public_domains_v1_public_accounts__account_id__domains_purchase_post
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DomainPurchaseRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DomainPurchaseResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 검증 오류
      security:
        - PublicBearerAuth: []
components:
  schemas:
    DomainPurchaseRequest:
      description: 하나 이상의 도메인 구매를 위한 스키마.
      properties:
        contact_info:
          $ref: '#/components/schemas/ContactInfo'
        domains:
          items:
            type: string
          minItems: 1
          title: 도메인
          type: array
        workspace_id:
          format: uuid4
          title: 워크스페이스 Id
          type: string
      required:
        - domains
        - workspace_id
        - contact_info
      title: DomainPurchaseRequest
      type: object
    DomainPurchaseResponse:
      properties:
        currency:
          anyOf:
            - type: string
            - type: 'null'
          title: 통화
        estimated_total:
          anyOf:
            - type: string
            - type: 'null'
          title: 예상 합계
        failed_count:
          default: 0
          title: 실패 수
          type: integer
        payment_url:
          anyOf:
            - type: string
            - type: 'null'
          title: 결제 URL
        purchase_batch_id:
          anyOf:
            - type: string
            - type: 'null'
          title: 구매 배치 Id
        results:
          items:
            $ref: '#/components/schemas/DomainPurchaseResult'
          title: 결과
          type: array
        successful_count:
          default: 0
          title: 성공 수
          type: integer
      required:
        - results
      title: DomainPurchaseResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: 세부 정보
          type: array
      title: HTTP검증 오류
      type: object
    ContactInfo:
      description: 도메인 등록자 연락처 정보 스키마.
      properties:
        address_1:
          minLength: 1
          title: 주소 1
          type: string
        city:
          minLength: 1
          title: 도시
          type: string
        country:
          description: 2자리 ISO 국가 코드
          maxLength: 2
          minLength: 2
          title: 국가
          type: string
        email:
          format: email
          title: 이메일
          type: string
        first_name:
          minLength: 1
          title: 이름
          type: string
        last_name:
          minLength: 1
          title: 성
          type: string
        organization:
          minLength: 1
          title: 조직
          type: string
        phone:
          description: 국가 코드가 포함된 전화번호
          title: 전화
          type: string
        state:
          minLength: 1
          title: 주/도
          type: string
        zip:
          minLength: 1
          title: 우편번호
          type: string
      required:
        - first_name
        - last_name
        - organization
        - email
        - phone
        - address_1
        - city
        - state
        - zip
        - country
      title: ContactInfo
      type: object
    DomainPurchaseResult:
      description: 단일 도메인 구매 시작 결과.
      properties:
        domain_name:
          title: 도메인 이름
          type: string
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: 오류
        error_code:
          anyOf:
            - type: string
            - type: 'null'
          title: 오류 코드
        id:
          anyOf:
            - format: uuid4
              type: string
            - type: 'null'
          title: ID
        status:
          title: 상태
          type: string
      required:
        - domain_name
        - status
      title: DomainPurchaseResult
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: 위치
          type: array
        msg:
          title: 메시지
          type: string
        type:
          title: 오류 유형
          type: string
      required:
        - loc
        - msg
        - type
      title: 검증 오류
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````